### Hierarchy

- unknown
  - GetFundingAddressesReply

## Index

### Constructors

- constructor

### Methods

- addAddressBalanceInfo
- clearAddressBalanceInfoList
- getAddressBalanceInfoList
- serializeBinary
- setAddressBalanceInfoList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetFundingAddressesReply(): GetFundingAddressesReply

- Inherited from jspb.Message.constructor

  #### Returns GetFundingAddressesReply

## Methods

### addAddressBalanceInfo

- addAddressBalanceInfo(value?: AddressBalanceInfo, index?: number): AddressBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3565

  #### Parameters

  - ##### Optional value: AddressBalanceInfo

  - ##### Optional index: number

  #### Returns AddressBalanceInfo

### clearAddressBalanceInfoList

- clearAddressBalanceInfoList(): GetFundingAddressesReply

- - Defined in src/protobuf/grpc_pb.d.ts:3564

  #### Returns GetFundingAddressesReply

### getAddressBalanceInfoList

- getAddressBalanceInfoList(): AddressBalanceInfo []

- - Defined in src/protobuf/grpc_pb.d.ts:3562

  #### Returns AddressBalanceInfo []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3567

  #### Returns Uint8Array

### setAddressBalanceInfoList

- setAddressBalanceInfoList(value: AddressBalanceInfo []): GetFundingAddressesReply

- - Defined in src/protobuf/grpc_pb.d.ts:3563

  #### Parameters

  - ##### value: AddressBalanceInfo []

  #### Returns GetFundingAddressesReply

### toObject

- toObject(includeInstance?: boolean): GetFundingAddressesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3568

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetFundingAddressesReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetFundingAddressesReply

- - Defined in src/protobuf/grpc_pb.d.ts:3571

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetFundingAddressesReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetFundingAddressesReply, reader: BinaryReader): GetFundingAddressesReply

- - Defined in src/protobuf/grpc_pb.d.ts:3572

  #### Parameters

  - ##### message: GetFundingAddressesReply

  - ##### reader: BinaryReader

  #### Returns GetFundingAddressesReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetFundingAddressesReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3570

  #### Parameters

  - ##### message: GetFundingAddressesReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetFundingAddressesReply ): GetFundingAddressesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3569

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetFundingAddressesReply

  #### Returns GetFundingAddressesReply . AsObject

Generated using TypeDoc